Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins.KeyJoin<K,V>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,X>
                  org.apache.openjpa.persistence.criteria.FromImpl<Z,E>
                      org.apache.openjpa.persistence.criteria.Joins.AbstractCollection<Z,Set<E>,E>
                          org.apache.openjpa.persistence.criteria.Joins.Set<Map<K,V>,K>
                              org.apache.openjpa.persistence.criteria.Joins.KeyJoin<K,V>

Type Parameters:
  `K` - the type of the key of the original java.util.Map attribute
  `V` - the type of the value of the original java.util.Map attribute

All Implemented Interfaces:
  Expression<K>, FetchParent<Map<K,V>,K>, From<Map<K,V>,K>, Join<Map<K,V>,K>, Path<K>, PluralJoin<Map<K,V>,Set<K>,K>, Selection<K>, SetJoin<Map<K,V>,K>, TupleElement<K>, CriteriaExpression

Enclosing class:
  Joins

    static class Joins.KeyJoin<K,V>

extends Joins.Set<Map<K,V>,K>

A specialized join via key of a java.util.Map<K,V> attribute. Treats the map key as a pseudo-attribute of type java.util.Set<K> of a pseduo-managed type corresponding to java.util.Map<K,V>.

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`Joins.KeyJoin(FromImpl<?,Map<K,V>> parent, Members.KeyAttributeImpl<? super Map<K,V>,K> member, JoinType jt)`

Method Summary
`Value` | `toValue(ExpressionFactory factory, CriteriaQueryImpl<?> c)` Convert this path to a kernel path (value).

Methods inherited from class org.apache.openjpa.persistence.criteria.Joins.Set
`getModel`

Methods inherited from class org.apache.openjpa.persistence.criteria.Joins.AbstractCollection
`asVariable, getAttribute, getJoinType, getMemberClassMetaData, getParent, toKernelExpression`

Methods inherited from class org.apache.openjpa.persistence.criteria.FromImpl
`acceptVisit, assertJoinable, fetch, fetch, fetch, fetch, fetch, fetch, getCorrelationParent, getFetches, getJoins, getType, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asValue, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getParentPath, inSubquery, isCorrelated, setCorrelatedPath, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### Joins.KeyJoin

    public Joins.KeyJoin(FromImpl<?,Map<K,V>> parent,
                         Members.KeyAttributeImpl<? super Map<K,V>,K> member,
                         JoinType jt)

Method Detail

### toValue

    public Value toValue(ExpressionFactory factory,
                         CriteriaQueryImpl<?> c)

  Description copied from class: `Joins.AbstractCollection`
  Convert this path to a kernel path (value).

  Overrides:
    `toValue` in class `Joins.AbstractCollection<Map<K,V>,Set<K>,K>`
  Parameters:
    `factory` - creates the kernel expression
    `c` - the query definition context of this expression
  Returns:
    an equivalent kernel value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.